#ifndef STools_h
#define STools_h
#include <Arduino.h>

/*
This library contains various convenient solutions for various tasks.
The name STools stands for Smart Tools, which translates as "Useful Tools."
At the moment the library is in the process of development and is actively expanding.
Developed: Suhodolov Michael Mail: skaldek@mail.ru
*/

class STools{
	public:
	
	STools(int pin, int samples, int bcoeff);
	STools(float min, float max);
	STools(int pin);
	STools();		
		
	String printLink();
	bool isPressed();
	bool isHold();
	float tempC();
	float tempF();
	float readVcc();
	int readBattery();
	int readEncoder();
	void eeWriteInt(uint8_t eaddr, int eint);
	void eeWriteFloat(uint8_t eaddr, float efloat);
	int eeReadInt(uint8_t eaddr);
	float eeReadFloat(uint8_t eaddr);
	private:
	
	String ip;
	int _PIN;
	int _value1;
	int _value2;
	int *_samplesarr = new int[_value1];
	int i;
    float average;
	float temperature;
	unsigned long int lastmillis;
	bool button;
	bool button_flag;
	bool hold_flag;
	float resultVcc;
	uint8_t lowVcc; 
    uint8_t highVcc;
    float batteryP;
	float _MIN;
	float _MAX;
	void BPress();
	uint8_t aState;
	int16_t aLastState;
	int16_t counter;
};

#endif